Return information about open and cached links

- « mysqli_get_client_stats

- mysqli_report »

- PHP Manual
- Aliases and deprecated Mysqli Functions
- Return information about open and cached links

# mysqli_get_links_stats

(PHP 5 >= 5.6.0, PHP 7, PHP 8)

mysqli_get_links_stats — Return information about open and cached links

### Description

mysqli_get_links_stats(): array

mysqli_get_links_stats() returns information about open and cached MySQL links.

### Parameters

This function has no parameters.

### Return Values

mysqli_get_links_stats() returns an associative array with three elements, keyed as follows:

`total`

  An int indicating the total number of open links in any state.

`active_plinks`

  An int representing the number of active persistent connections.

`cached_plinks`

  An int representing the number of inactive persistent connections.